<?php
include_once '../sys/inc/start.php';
$doc = new document();

$doc -> title = 'Наши новости';




$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `news`"), 0); // количество сообщений
$pages->this_page(); // получаем текущую страницу


$icon = array('size' => 'small', 'src'=> '/sys/images/icons/news.png');

$q = mysql_query("SELECT * FROM `news` ORDER BY `id` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($news=mysql_fetch_assoc($q)) {
$ank = new user((int)$news['id_user']);


$post = output_text($news['text']);

$edit='<a href="/profile.view.php?id='.$news['id_user'].'">'.$ank->login.'</a>';


$act = array();
if ($user->group >= max($ank->group,4))
{
if (!$news['sended'])$act[]=array('send',"news.send.php?id=$news[id]"); // редактирование
$act[]=array('edit',"news.edit.php?id=$news[id]"); // редактирование
$act[]=array('delete',"news.delete.php?id=$news[id]"); // удаление
}


$posts[]=array('title'=>'<a href="comments.php?id='.$news['id'].'">'.$news['title'].'</a> ('.vremja($news['time']).')','icon'=>$icon,'post'=>$post, 'act'=>$act, 'edit'=>$edit);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Новости отсутствуют');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing('?'); // вывод страниц




if ($user -> group >= 4)// администраторы и выше
$doc -> act('Добавить новость','news.add.php');

?>
